Bug 71960 - Antialiasing not appearing in OO menus by default
Antialiasing not appearing in OO menus by default
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: openoffice.org (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-20 10:47 EDT by Marc Deslauriers
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-25 11:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the default look after installing null (fonts are not AA) (55.37 KB, image/png)
2002-08-20 10:48 EDT, Marc Deslauriers
no flags Details
This is after setting the display scale to 110% (fonts are now AA in menus) (90.30 KB, image/png)
2002-08-20 10:48 EDT, Marc Deslauriers
no flags Details
OO with default 100% scale showing the AA (clean install of Null) (94.48 KB, image/png)
2002-08-20 17:44 EDT, Dax Kelson
no flags Details

  None (edit)
Description Marc Deslauriers 2002-08-20 10:47:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Using a default null beta install on two machines, OOWriter is not displaying
antialiased menus.

Version-Release number of selected component (if applicable):
openoffice-1.0.1-4

How reproducible:
Always

Steps to Reproduce:
1.Open OOWriter by clicking launcher in Panel
2.Look at the menus 
3.
	

Actual Results:  The menus are not antialised 

Expected Results:  Antialised menus

Additional info:

This is easily fixeable. All you have to do is set the Display Scale to 110% for
OpenOffice to antialias the GUI fonts. Please see attached screenshots of before
and after and the exact location of the setting. Please fix this before release
as the current configuration is very ugly and my turn people off from using OO.

While we're at it, how about making the default document font "Luxi Sans" or
"Luxi Serif" insted of a default font that doesn't exist and is not antialiased.
Comment 1 Marc Deslauriers 2002-08-20 10:48:11 EDT
Created attachment 71606 [details]
This is the default look after installing null (fonts are not AA)
Comment 2 Marc Deslauriers 2002-08-20 10:48:53 EDT
Created attachment 71607 [details]
This is after setting the display scale to 110% (fonts are now AA in menus)
Comment 3 Dax Kelson 2002-08-20 17:37:03 EDT
Yes. please make this change.
Comment 4 Dax Kelson 2002-08-20 17:43:06 EDT
Hmmm. Looking at my OO on Null, my font settings is 100% and the fonts are AA.
Attaching a screen shot.
Comment 5 Dax Kelson 2002-08-20 17:44:03 EDT
Created attachment 71724 [details]
OO with default 100% scale showing the AA (clean install of Null)
Comment 6 Marc Deslauriers 2002-08-20 18:21:12 EDT
Damn...this is weird. I did an install on three different machines and all three
were not AA. Did you install KDE stuff, just out of curiosity?
What kind of graphics card do you have?
Comment 7 Richard Torkar 2002-08-21 04:11:34 EDT
I did a regular workstation install and have OO showing AA as it should.
No problems here.
No KDE here.

/Richard
Comment 8 Mattias Dahlberg 2002-08-21 04:33:08 EDT
It seems to depend on which screen resolution you have. Anything higher than 
1024x768 I get AA UI fonts. But with 1024x768 or lower I get the jaggy and 
close to unreadable fonts. Note that this _only_ affects OpenOffice.org. The AA 
is fine in all other applications, whichever resolution I choose.

(I did the Workstation install and it's the same on two computers using two 
different graphics cards/monitors.)
Comment 9 Richard Torkar 2002-08-22 03:47:47 EDT

I can confirm this behaviour.
In 1024x768 AA in OO did not work.
With 1280x1024 it does work...


/Richard
Comment 10 Mattias Dahlberg 2002-08-22 10:08:13 EDT
In ftp://people.redhat.com/jakub/openoffice/ there's a new "ooffice" file that 
sets up UI font scaling, which should get rid of this problem. Please test it 
and send your feedback to Jakub or to the Limbo mailing list.
Comment 11 Marc Deslauriers 2002-08-25 11:17:22 EDT
This problem is resolved with the new ooffice script that Jakub posted to the
libo mailing list.

This bug can be closed now.
Comment 12 Jakub Jelinek 2002-08-26 07:19:17 EDT
Should be fixed in openoffice-1.0.1-5.

Note You need to log in before you can comment on or make changes to this bug.